# ingres_cursor

(PECL ingres >= 1.1.0)

ingres_cursor — Get a cursor name for a given result resource

### Description

ingres_cursor ( resource `$result` ) : string

Returns a string with the active cursor name. If no cursor is active then NULL is returned.

### Parameters

`result`

  The query result identifier

### Return Values

Returns a string containing the active cursor name. If no cursor is active then NULL is returned.

### Examples

Example #1 Get cursor name for a query resource

`<?php
$link = ingres_connect($database, $user, $password);
$result = ingres_prepare($link, "select * from table");
$cursor_name = ingres_cursor($result);
echo $cursor_name;
?>`

### See Also

- ingres_prepare() - Prepare a query for later execution
- ingres_execute() - Execute a prepared query